Package kiyut.sketsa.windows.defs.filter

## Class FilterTreeModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeModel
  - - kiyut.sketsa.windows.defs.filter.FilterTreeModel

- All Implemented Interfaces:
    `Serializable`, `TreeModel`

      public class FilterTreeModel
      extends DefaultTreeModel

  Model for FilterTree
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultTreeModel

      `asksAllowsChildren, listenerList, root`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilterTreeModel()` | Creates a new instance of FilterTreeModel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.dom.svg.SVGFilterElement` | `getSVGFilterElement()` |
    `TreeNode` | `getTreeNode​(Node domNode)` |
    `boolean` | `isLeaf​(Object node)` |
    `void` | `moveNodeDown​(TreeNode node)` |
    `void` | `moveNodeUp​(TreeNode node)` |
    `void` | `reload​(TreeNode node)` |
    `void` | `removeNode​(TreeNode node)` |
    `void` | `setSVGFilterElement​(org.w3c.dom.svg.SVGFilterElement element)` |
    `void` | `valueForPathChanged​(TreePath path, Object newValue)` |

    - ### Methods inherited from class javax.swing.tree.DefaultTreeModel

      `addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterTreeModel

          public FilterTreeModel()

      Creates a new instance of FilterTreeModel

  - ### Method Detail

    - #### setSVGFilterElement

          public void setSVGFilterElement​(org.w3c.dom.svg.SVGFilterElement element)

    - #### getSVGFilterElement

          public org.w3c.dom.svg.SVGFilterElement getSVGFilterElement()

    - #### isLeaf

          public boolean isLeaf​(Object node)

      Specified by:
        `isLeaf` in interface `TreeModel`
      Overrides:
        `isLeaf` in class `DefaultTreeModel`

    - #### valueForPathChanged

          public void valueForPathChanged​(TreePath path,
                                          Object newValue)

      Specified by:
        `valueForPathChanged` in interface `TreeModel`
      Overrides:
        `valueForPathChanged` in class `DefaultTreeModel`

    - #### reload

          public void reload​(TreeNode node)

      Overrides:
        `reload` in class `DefaultTreeModel`

    - #### getTreeNode

          public TreeNode getTreeNode​(Node domNode)

    - #### moveNodeUp

          public void moveNodeUp​(TreeNode node)

    - #### moveNodeDown

          public void moveNodeDown​(TreeNode node)

    - #### removeNode

          public void removeNode​(TreeNode node)